/**************************************************************************************************
  Filename:       simpleGATTprofile.h
  Revised:
  Revision:

  Description:    This file contains the Simple GATT profile definitions and
                  prototypes.

 **************************************************************************************************/

#ifndef _BLE_UART_SERVICE_DEF_H
#define _BLE_UART_SERVICE_DEF_H

#ifdef __cplusplus
extern "C"
{
#endif

//#include "att.h"
#include "stdint.h"


#if 1

typedef enum {
    BLE_UART_EVT_TX_NOTI_DISABLED = 1,
    BLE_UART_EVT_TX_NOTI_ENABLED,
    BLE_UART_EVT_BLE_DATA_RECIEVED,
} ble_uart_evt_type_t;

typedef struct {
    uint8_t const * p_data; /**< A pointer to the buffer with received data. */
    uint16_t        length; /**< Length of received data. */
} ble_uart_evt_rx_data_t;

typedef struct {
    ble_uart_evt_type_t  type;
    ble_uart_evt_rx_data_t  data;
} ble_uart_evt_t;

typedef void (*ble_uart_ProfileChangeCB_t)(uint16_t connection_handle,ble_uart_evt_t* p_evt);

#endif


/*********************************************************************
*********************************************************************/

#ifdef __cplusplus
}
#endif

#endif /* _BLE_CUSTOM_CONFIG_SERVICE_H */

